!    This program is to plot the time variation of the bulk parameters along the flux tube in GSK
!    5/9/2014 by Yan Wang
Program main
    
    implicit none

    integer, parameter:: num=280,nc=281,dt=90,nstep=15
    integer nst,LNBLNK,i,j,k,h
    character suff*6
    CHARACTER*256 :: WORKDIR

    real(8) alt(nc),GLL(nc)
    real(8) efield(nc),poten(nc),ForceO(nc),ForceH(nc),ForceHe(nc)     
                           

! Get WORKDIR of current working directory
    CALL GETCWD(WORKDIR)

    open(101,file=WORKDIR(:LNBLNK(WORKDIR))//'/EFD_GSK_Time.dat',status='unknown') !,form='unformatted')	


   do j=1,nstep
          nst=(j-1)*dt
          write(suff,'(i6)') nst
          suff=adjustl(suff)
          
          if(j==1) then          
             open(201,file=WORKDIR(:LNBLNK(WORKDIR))//'/PLOT/efield.1',status='old') 
          else
             open(201,file=WORKDIR(:LNBLNK(WORKDIR))//'/PLOT/efield.'//suff(:LNBLNK(suff)), &
                    status='old')
          endif
          
                    	  
        ! sngl(alt(i)),sngl(GLL(i)*57.29578), &
        !       sngl(efield(i)),sngl(poten(i)),sngl(gm(i)+0.946548309d0*efield(i)), &
        !       sngl(gm(i)+15.0240129d0*efield(i)),sngl(gm(i)+3.7508458d0*efield(i))
          do i=1,nc
             read(201,'(7es14.5)') alt(i),GLL(i),efield(i),poten(i),ForceO(i),ForceH(i),ForceHe(i)
          enddo

          close(201)

          do i=1,nc
               write(101,'(5es14.5)') efield(i),poten(i),ForceO(i),ForceH(i),ForceHe(i)
          enddo

   enddo

   close(101)

End program

   
